Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.sql
Class SQLException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.sql.SQLException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  BatchUpdateException, SQLWarning

public class SQLException
extends Exception

An exception that provides information on a database access error or other errors.

Each `SQLException` provides several kinds of information:

- a string describing the error. This is used as the Java Exception message, available via the method `getMesage`.
- a "SQLstate" string, which follows either the XOPEN SQLstate conventions or the SQL 99 conventions. The values of the SQLState string are described in the appropriate spec. The `DatabaseMetaData` method `getSQLStateType` can be used to discover whether the driver returns the XOPEN type or the SQL 99 type.
- an integer error code that is specific to each vendor. Normally this will be the actual error code returned by the underlying database.
- a chain to a next Exception. This can be used to provide additional error information.

See Also:
  Serialized Form

Constructor Summary
`SQLException()` Constructs an `SQLException` object; the `reason` field defaults to null, the `SQLState` field defaults to `null`, and the `vendorCode` field defaults to 0.
`SQLException(String reason)` Constructs an `SQLException` object with a reason; the `SQLState` field defaults to `null`, and the `vendorCode` field defaults to 0.
`SQLException(String reason, String SQLState)` Constructs an `SQLException` object with the given reason and SQLState; the `vendorCode` field defaults to 0.
`SQLException(String reason, String SQLState, int vendorCode)` Constructs a fully-specified `SQLException` object.

Method Summary
`int` | `getErrorCode()` Retrieves the vendor-specific exception code for this `SQLException` object.
`SQLException` | `getNextException()` Retrieves the exception chained to this `SQLException` object.
`String` | `getSQLState()` Retrieves the SQLState for this `SQLException` object.
`void` | `setNextException(SQLException ex)` Adds an `SQLException` object to the end of the chain.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SQLException

    public SQLException(String reason,
                        String SQLState,
                        int vendorCode)

  Constructs a fully-specified `SQLException` object.

Parameters:
  `reason` - a description of the exception
  `SQLState` - an XOPEN or SQL 99 code identifying the exception
  `vendorCode` - a database vendor-specific exception code

### SQLException

    public SQLException(String reason,
                        String SQLState)

  Constructs an `SQLException` object with the given reason and SQLState; the `vendorCode` field defaults to 0.

Parameters:
  `reason` - a description of the exception
  `SQLState` - an XOPEN or SQL 99 code identifying the exception

### SQLException

    public SQLException(String reason)

  Constructs an `SQLException` object with a reason; the `SQLState` field defaults to `null`, and the `vendorCode` field defaults to 0.

Parameters:
  `reason` - a description of the exception

### SQLException

    public SQLException()

  Constructs an `SQLException` object; the `reason` field defaults to null, the `SQLState` field defaults to `null`, and the `vendorCode` field defaults to 0.

Method Detail

### getSQLState

    public String getSQLState()

  Retrieves the SQLState for this `SQLException` object.

  Returns:
    the SQLState value

### getErrorCode

    public int getErrorCode()

  Retrieves the vendor-specific exception code for this `SQLException` object.

  Returns:
    the vendor's error code

### getNextException

    public SQLException getNextException()

  Retrieves the exception chained to this `SQLException` object.

  Returns:
    the next `SQLException` object in the chain; `null` if there are none
  See Also:
    `setNextException(java.sql.SQLException)`

### setNextException

    public void setNextException(SQLException ex)

  Adds an `SQLException` object to the end of the chain.

  Parameters:
    `ex` - the new exception that will be added to the end of the `SQLException` chain
  See Also:
    `getNextException()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.